| Kea 3.0.2-git

d2_config.cc File Reference
`#include <config.h>`
`#include <asiolink/io_error.h>`
`#include <d2srv/d2_log.h>`
`#include <d2srv/d2_cfg_mgr.h>`
`#include <dhcpsrv/parsers/dhcp_parsers.h>`
`#include <exceptions/exceptions.h>`
`#include <util/filesystem.h>`
`#include <boost/scoped_ptr.hpp>`
`#include <boost/algorithm/string/predicate.hpp>`
`#include <sstream>`
`#include <string>`
Include dependency graph for d2_config.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Functions
std::ostream & | isc::d2::operator<< (std::ostream &os, const D2Params &config)
| Dumps the contents of a D2Params as text to an output stream.
std::ostream & | isc::d2::operator<< (std::ostream &os, const DnsServerInfo &server)